Skip to navigation

Get Job Codes [Batch]

View as Markdown

Summary Description

The GET Job Code List by Company ID endpoint, retrieves a comprehensive list of Job Codes from the Paylocity system with each call. Pagination can be achieved by using the “jobs” parameter and specifying the values of “limit” and “offset” to decide the quantity of records to be retrieved. The utilization of the “limit” option permits the user to restrict the quantity of rows that are retrieved from a query, whereas the “offset” option enables the omission of a designated number of rows preceding the commencement of the result set. The utilization of both the limit and offset parameters in a query allows for the skipping of rows as well as the restriction of the number of rows returned

Use Cases

  • The GET a list of Job Codes API endpoint allows users to fetch specific Job Code details from a client’s Paylocity instance. To use this endpoint, the Paylocity Company ID must be specified
  • The ‘Get Job Codes List by Company ID’ endpoint empowers API users to fetch a comprehensive list of Job Codes alongside their relevant data

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

filterstringOptional

The API Filter, by defining specific conditions, enables developers to fine-tune data from API calls for more precise results, enhancing application efficiency and user-friendliness. For more information review the Filtering page.

limitintegerOptional

Number of jobs per page. Default Value: 20 Maximum Value: 100 Used together with offset for offset/limit pagination.

offsetintegerOptional

Pagination offset. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

Response

Successful response

Errors

401
Unauthorized Error